Subject: Re: bug#6871: Please make linum-mode per buffer, not per major mode

From: Lennart Borgman <[email-masked]>
Date: Thu, 19 Aug 2010 23:23:29 +0200

On Thu, Aug 19, 2010 at 4:40 PM, Juanma Barranquero <[email-masked]> wrote:
> On Thu, Aug 19, 2010 at 16:00, Lennart Borgman
> <[email-masked]> wrote:
>
>> It is still just for communication.
>
> ChangeLog entries help communicate intent.

I thought the intent would be obvious in this small amount of code,
but it looks like I am wrong.

>> Do they have to be committed separately?
>
> At the risk of repeating me thrice: if they are unrelated, yes, they
> should be committed separately.

I see. How do you yourself manage a situation like this? What happened is this:

- I found a problem for multi major mode use of linum.
- Looking at the code I found some other easy to see problems.

Normally in my own code I just fix all the issues I see on the fly so
to say. That is faster since I have already looked at the code then
and knows what to do. Later (which may be much later) I might forget
about exactly how to do it.

Do you try to keep multiple copies of the code with different patches
in each? Or what do you do?